package com.YuyeTech.TPlat.exception;

import com.YuyeTech.TPlat.enums.WxInfoEnum;
import lombok.Getter;

/**
 * @author:slambb
 * @date:2019/12/13
 */

@Getter
public class WxInfoException extends RuntimeException{
    private Integer code;

    public WxInfoException(WxInfoEnum userEnum) {
        super(userEnum.getMessage());

        this.code = userEnum.getCode();
    }

    public WxInfoException(Integer code, String message) {
        super(message);
        this.code = code;
    }
}